from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtMultimedia import QMediaPlayer, QMediaContent


class Ui_MainClientWindow(object):
    """Конфигурация главного окна"""
    def setupUi(self, MainClientWindow):
        MainClientWindow.setObjectName("MainClientWindow")
        MainClientWindow.resize(756, 534)
        MainClientWindow.setMinimumSize(QtCore.QSize(756, 534))
        self.centralwidget = QtWidgets.QWidget(MainClientWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.label_contacts = QtWidgets.QLabel(self.centralwidget)
        self.label_contacts.setGeometry(QtCore.QRect(10, 0, 101, 16))
        self.label_contacts.setObjectName("label_contacts")
        self.btn_add_contact = QtWidgets.QPushButton(self.centralwidget)
        self.btn_add_contact.setGeometry(QtCore.QRect(10, 450, 121, 31))
        self.btn_add_contact.setObjectName("btn_add_contact")
        self.btn_remove_contact = QtWidgets.QPushButton(self.centralwidget)
        self.btn_remove_contact.setGeometry(QtCore.QRect(140, 450, 121, 31))
        self.btn_remove_contact.setObjectName("btn_remove_contact")
        self.label_history = QtWidgets.QLabel(self.centralwidget)
        self.label_history.setGeometry(QtCore.QRect(300, 0, 391, 21))
        self.label_history.setObjectName("label_history")
        self.text_message = QtWidgets.QTextEdit(self.centralwidget)
        self.text_message.setGeometry(QtCore.QRect(300, 360, 391, 95))
        self.text_message.setObjectName("text_message")
        self.label_new_message = QtWidgets.QLabel(self.centralwidget)
        self.label_new_message.setGeometry(QtCore.QRect(300, 330, 400, 16))  # Правка тут
        self.label_new_message.setObjectName("label_new_message")
        self.list_contacts = QtWidgets.QListView(self.centralwidget)
        self.list_contacts.setGeometry(QtCore.QRect(10, 20, 251, 411))
        self.list_contacts.setObjectName("list_contacts")
        self.list_messages = QtWidgets.QListView(self.centralwidget)
        self.list_messages.setGeometry(QtCore.QRect(300, 20, 441, 301))
        self.list_messages.setObjectName("list_messages")
        self.btn_send = QtWidgets.QPushButton(self.centralwidget)
        btn_icon_send = QtGui.QIcon('common/send_msg_icon.png')
        self.btn_send.setIcon(btn_icon_send)
        self.btn_send.setIconSize(QtCore.QSize(48, 48))
        self.btn_send.setGeometry(QtCore.QRect(700, 360, 40, 40))
        self.btn_send.setObjectName("btn_send")
        self.btn_clear = QtWidgets.QPushButton(self.centralwidget)
        self.btn_clear.setGeometry(QtCore.QRect(700, 410, 40, 40))
        btn_icon_clear = QtGui.QIcon('common/clear_msg_icon.png')
        self.btn_clear.setIcon(btn_icon_clear)
        self.btn_clear.setIconSize(QtCore.QSize(48, 48))
        self.btn_clear.setObjectName("btn_clear")

        # Добабвление кустарых смайликов
        self.smile1 = QtWidgets.QPushButton(self.centralwidget)
        self.smile1.setGeometry(QtCore.QRect(300, 460, 20, 20))
        smile1_icon = QtGui.QIcon('common/smile1.png')
        self.smile1.setIcon(smile1_icon)
        self.smile1.setIconSize(QtCore.QSize(20, 20))
        self.smile1.setObjectName("smile1")
        self.smile2 = QtWidgets.QPushButton(self.centralwidget)
        self.smile2.setGeometry(QtCore.QRect(325, 460, 20, 20))
        smile2_icon = QtGui.QIcon('common/smile2.png')
        self.smile2.setIcon(smile2_icon)
        self.smile2.setIconSize(QtCore.QSize(20, 20))
        self.smile2.setObjectName("smile2")
        self.smile3 = QtWidgets.QPushButton(self.centralwidget)
        self.smile3.setGeometry(QtCore.QRect(350, 460, 20, 20))
        smile3_icon = QtGui.QIcon('common/smile3.png')
        self.smile3.setIcon(smile3_icon)
        self.smile3.setIconSize(QtCore.QSize(20, 20))
        self.smile3.setObjectName("smile3")

        # Звук сообщения
        self.player = QMediaPlayer(None, QMediaPlayer.VideoSurface)
        url = QtCore.QUrl.fromLocalFile('common/sound_msg.mp3')
        self.player.setMedia(QMediaContent(url))

        MainClientWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainClientWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 756, 21))
        self.menubar.setObjectName("menubar")
        self.menu = QtWidgets.QMenu(self.menubar)
        self.menu.setObjectName("menu")
        self.menu_2 = QtWidgets.QMenu(self.menubar)
        self.menu_2.setObjectName("menu_2")
        MainClientWindow.setMenuBar(self.menubar)
        self.statusBar = QtWidgets.QStatusBar(MainClientWindow)
        self.statusBar.setObjectName("statusBar")
        MainClientWindow.setStatusBar(self.statusBar)
        self.menu_exit = QtWidgets.QAction(MainClientWindow)
        self.menu_exit.setObjectName("menu_exit")
        self.menu_add_contact = QtWidgets.QAction(MainClientWindow)
        self.menu_add_contact.setObjectName("menu_add_contact")
        self.menu_del_contact = QtWidgets.QAction(MainClientWindow)
        self.menu_del_contact.setObjectName("menu_del_contact")
        self.menu.addAction(self.menu_exit)
        self.menu_2.addAction(self.menu_add_contact)
        self.menu_2.addAction(self.menu_del_contact)
        self.menu_2.addSeparator()
        self.menubar.addAction(self.menu.menuAction())
        self.menubar.addAction(self.menu_2.menuAction())

        self.retranslateUi(MainClientWindow)
        self.btn_clear.clicked.connect(self.text_message.clear)
        QtCore.QMetaObject.connectSlotsByName(MainClientWindow)

    def retranslateUi(self, MainClientWindow):
        _translate = QtCore.QCoreApplication.translate
        MainClientWindow.setWindowTitle(_translate("MainClientWindow", "ICQ - "))
        self.label_contacts.setText(_translate("MainClientWindow", "Список контактов:"))
        self.btn_add_contact.setText(_translate("MainClientWindow", "Добавить контакт"))
        self.btn_remove_contact.setText(_translate("MainClientWindow", "Удалить контакт"))
        self.label_history.setText(_translate("MainClientWindow", "История сообщений:"))
        self.label_new_message.setText(_translate("MainClientWindow", "Введите новое сообщение:"))
        self.btn_send.setText(_translate("MainClientWindow", ""))
        self.btn_clear.setText(_translate("MainClientWindow", ""))
        self.smile1.setText(_translate("MainClientWindow", ""))
        self.menu.setTitle(_translate("MainClientWindow", "Файл"))
        self.menu_2.setTitle(_translate("MainClientWindow", "Контакты"))
        self.menu_exit.setText(_translate("MainClientWindow", "Выход"))
        self.menu_add_contact.setText(_translate("MainClientWindow", "Добавить контакт"))
        self.menu_del_contact.setText(_translate("MainClientWindow", "Удалить контакт"))
